Get a pricing group by resource ID
Requires the PRICING_PLAN.VIEW, QUOTE.PRICING_PLAN_SCHEDULE.VIEW or PRICING_PLAN_SCHEDULE.VIEW permission. Which one depends on what it belongs to, directly or through its pricing group: a pricing plan version requires PRICING_PLAN.VIEW; the schedule of a QUOTE subscription requires QUOTE.PRICING_PLAN_SCHEDULE.VIEW; the schedule of a BILLING subscription and the schedule of a TEMPLATE subscription require PRICING_PLAN_SCHEDULE.VIEW.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
resourceId
The ID of the resource to be requested.
Headers
x-platform-id
Platform ID.
Response
OK
object_type
id
pricing_plan_version_id
Resource ID of type PRICING_PLAN_VERSION
pricing_plan_schedule_id
Resource ID of type PRICING_PLAN_SCHEDULE
name
product_type
Allowed values:
selection_constraint
Allowed values:
display_order
pricings
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error